part of 'auth_confirm_bloc.dart';

sealed class AuthConfirmEvent extends Equatable {
  const AuthConfirmEvent();
}

final class SmsCodeEnterEvent extends AuthConfirmEvent {
  final String code;

  const SmsCodeEnterEvent(this.code);

  @override
  List<Object?> get props => [code];
}

final class TimerChangedEvent extends AuthConfirmEvent {
  final bool isVisible;

  const TimerChangedEvent({required this.isVisible});

  @override
  List<Object?> get props => [isVisible];
}

final class OnSubmitEvent extends AuthConfirmEvent {
  final String code;
  final AuthConfirmArgument? argument;

  const OnSubmitEvent({required this.code, required this.argument});

  @override
  List<Object?> get props => [code, argument];
}

final class ResendCodeEvent extends AuthConfirmEvent {
  final AuthConfirmArgument argument;

  const ResendCodeEvent({required this.argument});

  @override
  List<Object?> get props => [argument];
}
